cURL
curl --request POST \
--url https://api.dock.us/{version}/workspace-users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "john.doe@example.com",
"role": "owner",
"workspaceId": "luI89ZCeEJuF",
"message": "You have been invited to join the workspace"
}
'import requests
url = "https://api.dock.us/{version}/workspace-users"
payload = {
"email": "john.doe@example.com",
"role": "owner",
"workspaceId": "luI89ZCeEJuF",
"message": "You have been invited to join the workspace"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'john.doe@example.com',
role: 'owner',
workspaceId: 'luI89ZCeEJuF',
message: 'You have been invited to join the workspace'
})
};
fetch('https://api.dock.us/{version}/workspace-users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"workspaceUser": {
"id": "RiHO4e0Ju3DS",
"updatedAt": "2021-01-01T00:00:00.000Z",
"createdAt": "2021-01-01T00:00:00.000Z",
"object": "workspace-user",
"url": "https://api.dock.us/v1/workspace-users/RiHO4e0Ju3DS",
"role": "owner",
"user": {
"id": "RiHO4e0Ju3DS",
"updatedAt": "2021-01-01T00:00:00.000Z",
"createdAt": "2021-01-01T00:00:00.000Z",
"object": "user",
"url": "https://api.dock.us/v1/users/RiHO4e0Ju3DS",
"firstName": "John",
"lastName": "Doe",
"avatar": "https://dock.us/avatar.png",
"email": "john.doe@example.com",
"name": "John Doe"
}
}
}
}{
"error": {
"code": "BAD_REQUEST",
"message": "The request could not be understood or was missing required parameters"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Access denied. You are not authorized to access this resource"
}
}{
"error": {
"code": "FORBIDDEN",
"message": "Access to this resource is restricted"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "The requested resource could not be found"
}
}{
"error": {
"code": "RATE_LIMIT_EXCEEDED",
"message": "Rate limit exceeded. Please try again later"
}
}{
"error": {
"code": "INTERNAL_SERVER_ERROR",
"message": "The server has encountered a situation it does not know how to handle"
}
}Workspace users
Create a workspace user
Create a workspace user
POST
/
workspace-users
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Select the workspace user properties that should be returned
Available options:
role, createdAt, updatedAt, user.createdAt, user.updatedAt, user.firstName, user.lastName, user.avatar, user.email, user.name Body
application/json
Workspace user to create
Email of the workspace user
Example:
"john.doe@example.com"
Role of the user to access the workspace
Available options:
owner, editor, collaborator, viewer, commenter Example:
"owner"
ID of the workspace
Example:
"luI89ZCeEJuF"
Invite message for the workspace user. Note: This message will be sent to the user via email only if the workspace is a published workspace.
Example:
"You have been invited to join the workspace"
Response
Create a workspace user
Show child attributes
Show child attributes
⌘I